{ pkgs, ... }: {
  users = {
    mutableUsers = false;
    users = {
      user = {
        isNormalUser = true;
        description = "Default user";
        extraGroups = [
          "networkmanager"
          "wheel"
          "input"
          "video"
          "kvm"
          "keyd"
        ];
        hashedPassword = ""; # Login directly
        shell = pkgs.zsh;
      };
    };
  };
}
